Subject: [TR] Upcoming long range trip

From: Dave Connitt <[email-masked]>
Date: Mon, 8 May 2023 19:13:46 -0400

Hi list,
I want to pass on an upcoming Triumph trip we are about to start. I own a 1967 TR4-IRS that I finished restoring back in 2015. I restored it for reliability and not so much to be “another pretty face” at car shows. 
Anyway, our local club (TriState Triumphs) does monthly “spirited drives” after the salt is gone. After one of our recent drives we were partaking in an adult beverage and one of the guys announced that one of his “bucket list” goals was to drive his TR6 up Pikes Peak. Well, we all looked at each other and asked, “when when are we leaving?” So the main group of 5 TR6’s and one Lotus Elese are leaving July 3 from Cincinnati to Kansas City the first day and continuing on to Manitou Springs, Co. the second day traveling west on I-70. Colleen and I are leaving for Nashville,Tn. on May 26, then west on I-40 through Little Rock, then Oklahoma City, then Amarillo, Tx. to our nephew in Edgewood, NM. After a few days there we are driving north to Manitou Springs, Co. 
We have plans beyond that but we’ll talk about them later.
Can’t wait to get on the road!
Dave Connitt

Sent from my iPhone
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]